| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__MobileInfoExtended Struct Reference

Subscriber Extended Mobile Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__boolean | MobileFlag
| Enables Mobile capability. More...
unsp__ServiceId | MainDeviceDN
| The associated Deskphone. More...
unsp__ServiceId | CellDeviceNumber
| The dialable number of the Cellular Device. More...
xsd__boolean * | RouteToCell
| Route To Cellular Device. More...
xsd__int | MobileDeviceRingDuration
| Ring duration of the Mobile Device. More...
xsd__int | MainDeviceRingDuration
| Ring duration of the Deskphone Device. More...
xsd__int | CellDeviceRingDuration
| Ring duration of the Cellular Device. More...
unsp__ServiceId | MobileClientProfileName
| MobileClientProfileName. More...
unsp__ServiceId | NewMobileClientProfileName
| NewMobileClientProfileName. More...
xsd__boolean * | OverrideMobileTimers
| OverrideMobileTimers, applicable for UpdateMobileInfo. More...
struct unsp__MobileClientProfileData * | MobileClientProfileData
| OverrideMobileTimers, applicable only for GetSubscriberInfoRequest. More...

## Detailed Description

Subscriber Extended Mobile Information.

## Member Data Documentation

## ◆ CellDeviceNumber

unsp__ServiceId unsp__MobileInfoExtended::CellDeviceNumber

The dialable number of the Cellular Device.

required: false
default value[range]: NA [1..30]

## ◆ CellDeviceRingDuration

xsd__int unsp__MobileInfoExtended::CellDeviceRingDuration

Ring duration of the Cellular Device.

required: true
default value[range]: 10 [5, 10, 15]

## ◆ MainDeviceDN

unsp__ServiceId unsp__MobileInfoExtended::MainDeviceDN

The associated Deskphone.

required: true, if MobileFlag is set to true

See also
  unsp__ServiceId

## ◆ MainDeviceRingDuration

xsd__int unsp__MobileInfoExtended::MainDeviceRingDuration

Ring duration of the Deskphone Device.

required: true
default value[range]: 10 [5, 10, 15]

## ◆ MobileClientProfileData

struct unsp__MobileClientProfileData* unsp__MobileInfoExtended::MobileClientProfileData

OverrideMobileTimers, applicable only for GetSubscriberInfoRequest.

required: false
default value[range]: false

## ◆ MobileClientProfileName

unsp__ServiceId unsp__MobileInfoExtended::MobileClientProfileName

MobileClientProfileName.

required: false

See also
  unsp__ServiceId

## ◆ MobileDeviceRingDuration

xsd__int unsp__MobileInfoExtended::MobileDeviceRingDuration

Ring duration of the Mobile Device.

required: true
default value[range]: 10 [5, 10, 15]

## ◆ MobileFlag

xsd__boolean unsp__MobileInfoExtended::MobileFlag

Enables Mobile capability.

required: false
default value[range]: false

## ◆ NewMobileClientProfileName

unsp__ServiceId unsp__MobileInfoExtended::NewMobileClientProfileName

NewMobileClientProfileName.

required: false

See also
  unsp__ServiceId

## ◆ OverrideMobileTimers

xsd__boolean* unsp__MobileInfoExtended::OverrideMobileTimers

OverrideMobileTimers, applicable for UpdateMobileInfo.

required: false
default value[range]: false

## ◆ RouteToCell

xsd__boolean* unsp__MobileInfoExtended::RouteToCell

Route To Cellular Device.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h